/*Estilo Geral*/
body {
    font-family: "Poppins", sans-serif;
    background-color: #191919;
    margin: 0;
    padding: 0;
}

img {
    max-width: 100%;
}

.container {
    max-width: 1200px;
    padding: 20px;
    margin: 10px 100px;
}

.header-section {
    text-align: center;
    margin-bottom: 40px;
}

.title {
    font-size: 40px;
    font-weight: bold;
    color: #ccc;
}

.subtitle {
    font-size: 28px;
    font-weight: normal;
    color: #ccc;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.subtitle::after {
    content: "";
    width: 100px;
    height: 1px;
    background-color: #e500ce;
}

p {
    margin: 0;
    padding: 0;
}

/*Fim do Estilo Geral*/
.info-header {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-top: 20px;
}

.info-menu {
    display: flex;
    align-items: center;
}

.menu ul {
    list-style: none;
    display: flex;
    padding: 0 10px;
}

.menu ul li {
    margin-right: 20px;
}

.menu ul li a {
    text-decoration: none;
    color: #a7a7a7;
    transition: color 1s;
    font-size: 20px;
}

.menu ul li a:hover {
    color: #e500ce;
}

.mobile-menu-icon {
    display: none;
    cursor: pointer;
    color: #a7a7a7;
    font-size: 20px;
}

/*Apresentação*/
#apresentation {
    margin: 100px 0;
}

.info-apresentation {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.info-apresentation h1 {
    font-size: 58px;
    color: #d9d9d9;
    line-height: 76px;
}

.info-apresentation span {
    background: rgb(19, 176, 245);
    background: linear-gradient(90deg, rgba(19, 176, 245, 1) 0%, rgba(132, 90, 205, 1) 50%, rgba(231, 15, 170, 1) 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    color: #d9d9d9;
}

.profile-photo {
    width: 350px;
    height: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    background: linear-gradient(180deg,
            rgba(231, 15, 170, 1) 20%,
            rgba(19, 176, 245, 1) 100%,
            rgba(132, 90, 205, 1) 100%);
}

.profile-photo img {
    width: 335px;
}

/*Sobre mim*/
.info-aboutme p {
    margin-left: 100px;
    font-size: 18px;
    color: #a7a7a7;
}

/*Tecnologias*/
#tecnologies {
    margin: 100px 0;
}

.container-icons {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 30px;
}

.container-icons img {
    filter: grayscale(0);
    transition: filter 0.5s;
}

.container-icons img:hover {
    cursor: pointer;
    filter: grayscale(100%);
}

/*Projetos*/
.info-projects {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /*3 colunas de largura igual*/
    gap: 30px;
    margin-top: 50px;
}

.card-project {
    min-height: 600px;
    height: fit-content;
    background-color: #363636;
    display: flex;
    flex-direction: column;
    border-radius: 20px;
}

.info-card-project {
    padding: 28px;
}

.info-card-project h3 {
    color: white;
    font-size: 30px;
    font-weight: bold;
    margin-top: 0;
}

.info-card-project p {
    color: #ccc;
    font-size: 17px;
}

.legend-project {
    padding: 20px 0px;
}

.legend-project p {
    color: #ccc;
    font-size: 14px;
}

.legend-project span {
    font-weight: bold;
    color: white;
}

.footer-project {
    display: flex;
    justify-content: space-around;
    margin-bottom: 5px;
}

.url-project,
.code-project {
    display: flex;
    align-items: center;
    gap: 10px;
}

.url-project a,
.code-project a {
    color: white;
    font-size: 15px;
}

/*Depoimentos*/
#testimonial {
    margin: 100px 0;
}

.info-testimonial {
    display: flex;
    flex-direction: column;
}

.container-testimonials {
    display: flex;
    gap: 50px;
    margin-top: 50px;
}

.controls-testimonials {
    display: flex;
    width: 100%;
    justify-content: flex-end;
    gap: 12px;
}

.prev-testimonial {
    border-radius: 15px;
    background-color: #f10677;
    font-size: 20px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 15px;
    cursor: pointer;
}

.next-testimonial {
    border-radius: 15px;
    border: 1px solid #f10677;
    font-size: 20px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 15px;
    cursor: pointer;
}

.disabled {
    opacity: 0.8;
    pointer-events: none;
    background-color: #f2f2f2;
    box-shadow: none;
    cursor: not-allowed;
    border: 1px solid #f10677;
    color: black;
}

.outline-card-testimonial {
    border-radius: 16px;
    border: 1px solid #f10677;
    padding: 25px 28px;
    height: auto;
}

.outline-card-testimonial>p {
    color: #ffffff50;
    margin-top: 10px;
}

.outline-card-testimonial::before {
    content: "";
    display: block;
    width: 30px;
    height: 30px;
    background-image: url(./assets/quotes.svg);
    background-size: cover;
}

.footer-card-testimonial {
    display: flex;
    align-items: center;
    gap: 17px;
    border-radius: 10px;
    margin-top: 20px;
}

.info-personal-testimonial {
    display: flex;
    flex-direction: column;
}

.info-personal-testimonial a {
    text-decoration: none;
}

.name-testimonial {
    font-size: 20px;
    color: #fff;
    font-weight: bold;
}

.ocuppation-testimonial {
    font-size: 18px;
    font-weight: bold;
    color: #7B4AE280;
}

.fill-in-card-testimonial {
    border-radius: 16px;
    background-color: #f10677;
    padding: 25px 28px;
    height: auto;
}

.fill-in-card-testimonial p {
    color: #fff;
    margin-top: 10px;
}

.fill-in-card-testimonial::before {
    content: "";
    display: block;
    width: 30px;
    height: 30px;
    background-image: url(./assets/quotes-white.svg);
    background-size: cover;
}

.fill-in-card-testimonial .ocuppation-testimonial {
    font-size: 18px;
    font-weight: bold;
    color: #7B4AE280;
}

/*Estilo de Contatos*/
#contact {
    margin: 50px 0;
}

.info-contact {
    display: flex;
    align-items: center;
    justify-content: center;
}

input[type="text"],
input[type="email"],
input[type="text"]:focus,
input[type="email"]:focus,
textarea {
    border: none;
    border-bottom: 2px solid #fa08c5;
    outline: none;
    background: transparent;
    color: #fff;
    caret-color: #fff;
    font-size: 22px;
}

input[type="text"],
input[type="email"] {
    width: 100%;
    height: 50px;
    margin: 15px 0;
}

textarea {
    width: 100%;
    height: 100px;
}

.submit-form {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-top: 30px;
}

input[type="submit"] {
    font-size: 25px;
    color: #fff;
    border: none;
    background: transparent;
    cursor: pointer;
    padding: 0;
    margin: 0;
}

.response-forms {
    font-size: 22px;
    color: #fff;
    text-align: center;
}

::placeholder {
    font-size: 24px;
    color: #fff;
}

/*Rodapé*/

footer{
    margin: 50px 0;
}

.first-infos-footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.container-right-footer {
    display: flex;
    align-items: center;
    gap: 30px;
}

.cellphone-footer, .email-footer, .copyright {
    color: #a7a7a7;
    font-size: 16px;
}

.second-infos-footer {
    display: flex;
    justify-content: space-between;
    margin-top: 30px;
}

.menu-footer ul {
    display: flex;
}

.menu-footer ul li {
    list-style: none;
    margin-right: 20px;
}

.menu-footer ul li a {
    font-size: 16px;
    color: #a7a7a7;
    text-decoration: none;
    transition: color 1s;
}

.menu-footer ul li a:hover {
    color: #e500ce;
}


@media screen and (max-width:1200px) {
    .menu {
        display: none;
    }

    .mobile-menu-icon {
        display: block;
    }

    .mobile-menu-open {
        position: absolute;
        display: block;
        top: 90px;
        right: 20px;
        background-color: #333;
        padding: 10px;
        border-radius: 5px;
        box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
        z-index: 2;
    }

    .mobile-menu-open ul {
        flex-direction: column;
    }

    .mobile-menu-open ul li {
        margin-bottom: 10px;
    }

    .mobile-menu-open a {
        color: #fff;
    }

    /*Apresentação*/

    #apresentation {
        margin: 20px 0;
    }

    .info-apresentation {
        flex-direction: column;
    }

    .info-apresentation h1 {
        font-size: 50px;
        line-height: 42px;
        margin-bottom: 40px;
        text-align: left;
    }

    /*Tecnologias*/

    .container-icons {
        flex-direction: column;
        gap: 15px;
    }

    /*Projetos*/

    .info-projects {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 50px;
    }

    .card-project {
        max-width: 90%;
    }

    /* Rodapé */

    .footer-project {
        flex-direction: column;
        gap: 15px;
    }

    .first-infos-footer {
        flex-direction: column;
    }

    .container-right-footer {
        flex-direction: column;
    }

    .second-infos-footer {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 15px;
    }

    .container {
        margin: 10px;
        padding: 10px;
    }

    .info-aboutme p {
        margin: 30px;
        font-size: 15px;
        color: #a7a7a7;
    }
}